Tamio

Duplicate a tax rule

POST https://api.tamio.com/v2/taxes/duplicate/{uuid}

Creates a copy of an existing tax rule with identical settings.

Path Parameters

uuid string*

UUID of the tax rule to duplicate.

Responses

200 Tax rule duplicated

Tax rule duplicated

status integer
tax Tax
400 Validation or business-logic error.
401 Missing or invalid API key
/taxes/duplicate/{uuid}
1const response = await fetch("https://api.tamio.com/v2/taxes/duplicate/{uuid}", {
2 method: "POST",
3 headers: {
4 "Authorization": "Bearer YOUR_API_KEY",
5 "Accept": "application/json"
6 }
7});
8const data = await response.json();
Responses
{
  "status": 200,
  "tax": {
    "id": "aaa14567-e89b-12d3-a456-426614174000",
    "object": "tax",
    "rate": 0.2,
    "amount": 0,
    "label": "EU VAT 20%",
    "active": true,
    "country": "GB",
    "type": "product_tax",
    "applies_to": "all_products",
    "postcodes": null,
    "states": null,
    "payments": null,
    "categories": null,
    "products": null
  }
}